Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006837opensim[REGION] OpenSim Corepublic2013-11-08 21:202014-07-29 13:42
Reporterkenvc 
Assigned Tojustincc 
PriorityurgentSeveritycrashReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformXeon dual quad core CPUs 32GBOSWindowsOS VersionServer 2012
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006837: After OS change to dot net framework v4.0, OpenSim.32BitLaunch.exe crashes almost immediately
DescriptionOpenSim.32BitLauncher.exe uses significantly less memory than opensim.exe, so several people use it rather than opensim.exe when the memory limitation of their hardware becomes an issue when running multiple instances.

When the change was made in the dev master today from dot net framework v3.5 to 4.0 OpenSim.32BitLauncher.exe is no longer usable. It crashes almost immediately on startup. It would be nice to still have it as an option when running multiple instances on the same computer if limited system memory is an issue.
TagsNo tags attached.
Git Revision or version numberr/24021
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
ViewerN/A
Attached Files

- Relationships

-  Notes
(0024662)
justincc (administrator)
2013-11-15 16:10

I rebuilt OpenSim.32BitLaunch.exe (and Robust.32BitLaunch.exe) but I'm not 100% sure they are actually running 32-bit. Could you test?
(0025055)
kenvc (reporter)
2014-01-25 10:31

This has been fixed for some time, just forgot to mark it as resolved after testing.

- Issue History
Date Modified Username Field Change
2013-11-08 21:20 kenvc New Issue
2013-11-09 10:34 kenvc Priority normal => urgent
2013-11-09 10:34 kenvc Severity minor => crash
2013-11-09 10:34 kenvc Status new => confirmed
2013-11-09 10:35 kenvc Summary After OS change to dot net 4.0, OpenSim.32BitLaunch.exe crashes almost immediately => After OS change to dot net framework v4.0, OpenSim.32BitLaunch.exe crashes almost immediately
2013-11-15 16:09 justincc Assigned To => justincc
2013-11-15 16:09 justincc Status confirmed => assigned
2013-11-15 16:10 justincc Note Added: 0024662
2014-01-25 10:31 kenvc Note Added: 0025055
2014-01-25 10:31 kenvc Status assigned => resolved
2014-01-25 10:31 kenvc Fixed in Version => master (dev code)
2014-01-25 10:31 kenvc Resolution open => fixed
2014-07-29 13:42 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker